/**
 * Created by iyasuwatts on 10/17/17.
 */
import java.util.*;

public class Main {

    public static void main(String[] args){
        Scanner in = new Scanner(System.in);
        Random rand = new Random();

        System.out.print("Let's play a game! You give me a range and I think of a number.\nLet's start with the minimum.");
        int minRange = in.nextInt();
        System.out.print("Thanks!\nNow, give me a maximum number for the range.");
        int maxRange = in.nextInt();
        //if maximum is the same or less than minumim, make user enter a new number
        while (maxRange <= minRange) {
            System.out.print("Come on. Please provide a number higher than the minimium.");
            maxRange = in.nextInt();
        }

        //generate random number within specified range
        int secretNumber = rand.nextInt(maxRange) + minRange;
        System.out.print("That works!\nOkay, I'm thinking of a number. Can you guess the number I am thinking of?");
        int guess = in.nextInt();

        int guessCount = 0;
        Integer lastGuess = null;
        while (guess != secretNumber) {
            //count wrong guesses and prompt for guess again
            if (lastGuess != null && lastGuess == guess) {
                System.out.print("Hey, you just guessed that one. Try again!");
            } else if (guess < secretNumber) {
                guessCount++;
                System.out.print("Too small! Try again!");
            } else if (guess > secretNumber) {
                guessCount++;
                System.out.print("Too large! Try again!");
            }
            lastGuess = guess;
            guess = in.nextInt();
        }

        //count correct guess and provide number of guesses
        guessCount++;
        System.out.print(String.format("NICE! Correct guess! It only took you %d guesses!", guessCount));
    }
}
